Package csb :: Package bio :: Package structure :: Class Atom

[frames] | no frames]

# Class Atom

source code

        object --+
                 |
    AbstractEntity --+
                     |
                    Atom

Known Subclasses:
  - DisorderedAtom

Represents a single atom in space.

Nested Classes
Inherited from `AbstractEntity`: `__metaclass__`

Instance Methods

__init__(self, serial_number, name, element, vector, alternate=False) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__lt__(self, other) | source code

__repr__(self) repr(x) | source code

clone(self) | source code

list

get_coordinates(self, what=None, skip=False) Extract the coordinates of the specified kind(s) of atoms and return them as a list. | source code

transform(self, rotation, translation) Apply in place RotationMatrix and translation Vector to all atoms. | source code

Inherited from `AbstractEntity`: `components` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``])``

Properties
str | alternate Alternative location flag
float | bfactor Temperature factor
int | charge Charge
enum item | element Chemical element - a member of ChemElements
iterator of AbstractEntity | items Iterator over all immediate children of the entity
str | name PDB atom name (trimmed)
float | occupancy Occupancy number
Residue | residue Residue instance that owns this atom (if available)
int | serial_number PDB serial number
numpy.array | vector Atom's 3D coordinates (x, y, z)
Inherited from `object`: `__class__`

Method Details

### __init__(self, serial_number, name, element, vector, alternate=False)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `serial_number` (int) - atom's UID
  - `name` (str) - atom's name
  - `element` (csb.core.EnumItem) - corresponding ChemElements
  - `vector` (numpy array) - atom's coordinates
  - `alternate` (bool) - if True, means that this is a wobbling atom with multiple alternative locations
Overrides: object.__init__
  (inherited documentation)

### __repr__(self)
(Representation operator)

source code

repr(x)

Overrides: object.__repr__
  (inherited documentation)

### get_coordinates(self, what=None, skip=False)

source code

Extract the coordinates of the specified kind(s) of atoms and return them as a list.

Parameters:
  - `what` - a list of atom kinds, e.g. ['N', 'CA', 'C']
Returns: list
  a list of lists, each internal list corresponding to the coordinates of a 3D vector
Raises:
  - `Broken3DStructureError` - if a specific atom kind cannot be retrieved from a residue
Overrides: AbstractEntity.get_coordinates
  (inherited documentation)

### transform(self, rotation, translation)

source code

Apply in place RotationMatrix and translation Vector to all atoms.

Overrides: AbstractEntity.transform
  (inherited documentation)

Property Details

### alternate

Alternative location flag

Get Method:
  unreachable.alternate(self) - Alternative location flag
Set Method:
  unreachable.alternate(self, value)
Type:
  str

### bfactor

Temperature factor

Get Method:
  unreachable.bfactor(self) - Temperature factor
Set Method:
  unreachable.bfactor(self, value)
Type:
  float

### charge

Charge

Get Method:
  unreachable.charge(self) - Charge
Set Method:
  unreachable.charge(self, value)
Type:
  int

### element

Chemical element - a member of ChemElements

Get Method:
  unreachable.element(self) - Chemical element - a member of ChemElements
Type:
  enum item

### items

Iterator over all immediate children of the entity

Get Method:
  unreachable.items(self)
Type:
  iterator of AbstractEntity

### name

PDB atom name (trimmed)

Get Method:
  unreachable.name(self) - PDB atom name (trimmed)
Type:
  str

### occupancy

Occupancy number

Get Method:
  unreachable.occupancy(self) - Occupancy number
Set Method:
  unreachable.occupancy(self, value)
Type:
  float

### residue

Residue instance that owns this atom (if available)

Get Method:
  unreachable.residue(self) - Residue instance that owns this atom (if available)
Set Method:
  unreachable.residue(self, residue)
Type:
  Residue

### serial_number

PDB serial number

Get Method:
  unreachable.serial_number(self) - PDB serial number
Set Method:
  unreachable.serial_number(self, number)
Type:
  int

### vector

Atom's 3D coordinates (x, y, z)

Get Method:
  unreachable.vector(self) - Atom's 3D coordinates (x, y, z)
Set Method:
  unreachable.vector(self, vector)
Type:
  numpy.array